Bug 441811 - 'lpmove jobid dest' fails
'lpmove jobid dest' fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 06:19 EDT by Tim Waugh
Modified: 2010-10-22 19:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-lpmove-jobid.patch, from CUPS revision 7070 (518 bytes, patch)
2008-04-10 06:19 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2008-04-10 06:19:26 EDT
Description of problem:
The lpmove command fails to accept commands of the form:

  lpmove jobid dest

instead requiring:

  lpmove source-jobid dest

The fix for this is very small.

Version-Release number of selected component (if applicable):
cups-1.2.4-11.14.el5_1.3

How reproducible:
100%

Steps to Reproduce:
1.lpadmin -p printer1 -v /dev/null
2.lpadmin -p printer2 -v /dev/null
3.lp -H hold -dprinter1 /etc/fstab
4.lpmove 1 printer2 # or substitute real job ID

Patch attached, distilled from subversion revision 7070.
Comment 1 Tim Waugh 2008-04-10 06:19:26 EDT
Created attachment 301960 [details]
cups-lpmove-jobid.patch, from CUPS revision 7070
Comment 3 Phil Knirsch 2008-04-30 11:50:59 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 4 RHEL Product and Program Management 2008-06-02 16:08:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2009-01-20 16:59:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.